using UnityEngine;

public class ConfigBase<T> : ScriptableObject where T :ScriptableObject
{
    private static T mInstance;
    public static T Instance
    {
        get
        {
            if (mInstance == null)
            {
                mInstance = Resources.Load<T>("Config/" + typeof(T).ToString());
            }

            return mInstance;
        }
    }
}